## dojox.cometd
Interface SecurityPolicy

All Known Implementing Classes:
  AbstractBayeux.DefaultPolicy

    public interface SecurityPolicy

Author:
  gregw

Method Summary
`boolean` `canCreate(Client client, String channel, Map message)`
`boolean` `canHandshake(Map message)`
`boolean` `canPublish(Client client, String channel, Map messsage)`
`boolean` `canSubscribe(Client client, String channel, Map messsage)`

Method Detail

### canHandshake

    boolean canHandshake(Map message)

### canCreate

    boolean canCreate(Client client,
                      String channel,
                      Map message)

### canSubscribe

    boolean canSubscribe(Client client,
                         String channel,
                         Map messsage)

### canPublish

    boolean canPublish(Client client,
                       String channel,
                       Map messsage)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.